Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.connect
Interface Groupable

    public interface Groupable

This interface is used for some group by columns, or some have group level value columns.

Method Summary
`void` | `getValues(int leafIndex, Record record)` Get the value by leaf group index.
`void` | `getValuesByRecordNumber(Record record)` Get the value by record number.
`int[][]` | `peekGroupLocation(int leafgroupIndex, int groupLevel)`
`java.lang.String[]` | `peekGroupNames(int leafIndex, int depth)`
`DbValue[]` | `peekGroupValues(int leafIndex, int depth)`
`int` | `size()`

Method Detail

### getValues

    void getValues(int leafIndex,
                   Record record)

  Get the value by leaf group index.

  Parameters:
    `leafIndex` - The leaf group index of this record in.
    `record` - The target record.

### getValuesByRecordNumber

    void getValuesByRecordNumber(Record record)

  Get the value by record number.

  Parameters:
    `record` - The target record.

### size

    int size()

### peekGroupValues

    DbValue[] peekGroupValues(int leafIndex,
                              int depth)
                              throws DSException

  Parameters:
    `leafIdx` - leaf group index
    `depth` - from root to specified group node, through group level depth
  Returns:
    it will return a dbvalue array which includes group values from specified group node to above node, and does not include root.
  Throws:
    `DSException`
  Since:
    JReport V8.0
  See Also:
    `peekGroupValues(int, int)`

### peekGroupLocation

    int[][] peekGroupLocation(int leafgroupIndex,
                              int groupLevel)
                              throws DSException

  Parameters:
    `leafgroupIndex` - leaf group index
    `groupLevel` - from root to one group node, through group level depth
  Returns:
    dimension 0: the index 0 is branch index for parallel group in HDS, default value as -1, the index 1 is groupNumber of all parent and ancestors of the group node marked by group level. dimension 1: depth from next level of root to the group node marked by group Level.
  Throws:
    `DSException`
  Since:
    JReport V8.0

### peekGroupNames

    java.lang.String[] peekGroupNames(int leafIndex,
                                      int depth)
                                      throws DSException

  Parameters:
    `leafIndex` - leaf group index
    `depth` - from root to specified group node, through group level depth
  Returns:
    it will return a string array which includes group names from specifed group node to above node, and does not include root.
  Throws:
    `DSException` - TODO
  Since:
    JReport V8.2

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD